:Frost__#0002
@echo off
title Frost__#0002

mode con: cols=70 lines=80
echo MU-NI- Serial Checker

echo Baseboard
echo ========================
wmic baseboard get serialnumber

echo Bios
echo ========================
wmic bios get serialnumber

echo CPU
echo ========================
wmic cpu get serialnumber

echo Diskdrive (#1)
echo ========================
wmic diskdrive get serialnumber

echo Diskdrive (#2)

echo ========================
wmic path win32_physicalmedia get SerialNumber
echo Diskdrive (#3)

echo ========================
wmic path win32_diskdrive get SerialNumber
echo Baseboard

echo ========================
wmic csproduct get uuid

echo RAM
echo ========================
wmic memorychip get serialnumber

echo CPU
echo ========================
wmic cpu get processorid

echo BaseBoard
echo ========================
wmic baseboard get manufacturer
echo Mac 
echo ========================
wmic path Win32_NetworkAdapter where "PNPDeviceID like '%%PCI%%' AND NetConnectionStatus=2 AND AdapterTypeID='0'" get MacAddress
echo.
pause

goto Frost__#0002
